SUBSTPHYEXPR(3)

NAME
substPhyExpr - substitutes an atomic expression by an expression within an operator expression

SYNOPSYS
#include "logmmm.h"
void substPhyExpr(expr1,name,expr2)
chain_list *expr1;
char *name;
chain_list *expr2;

PARAMETERS

expr1
    expression on wich the susbstition will be made

name
    name to substitute

expr2
    expression that will remplace name

DESCRIPTION
substPhyExpr() replaces each occurence of name within expr1 by expr2.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
expr1 = createExpr(OR);
addQExpr(expr1,createAtom("a"));
addQExpr(expr1,createAtom("b"));
expr2 = notExpr(createAtom("x"));
substPhyExpr(expr1,"a",expr2);
displayExpr(expr1);
/* it will display
(OR (NOT x) b)
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), substExpr(3), copyExpr(3), flatArityExpr(3), flatPolarityExpr(3), maxExpr(3), minExpr(3), sortExpr(3), normExpr(3).